Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface PrimitiveDefOperations

All Superinterfaces:
  IDLTypeOperations, IRObjectOperations

All Known Subinterfaces:
  PrimitiveDef

All Known Implementing Classes:
  PrimitiveDefPOA

public interface PrimitiveDefOperations
extends IDLTypeOperations

A PrimitiveDef represents one of the OMG IDL primitive types. As primitive types are unnamed, this interface is not derived from TypedefDef or Contained.

Method Summary
`PrimitiveKind` | `kind()` The kind attribute indicates which primitive type the PrimitiveDef represents.

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### kind

    public PrimitiveKind kind()

  The kind attribute indicates which primitive type the PrimitiveDef represents. There are no PrimitiveDefs with kind pk_null. A PrimitiveDef with kind pk_string represents an unbounded string. A PrimitiveDef with kind pk_objref represents the IDL type Object. A PrimitiveDef with kind pk_value_base represents the IDL type ValueBase.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD